package com.altimetrik.poc.controller;

import com.altimetrik.poc.dto.ProductDetails;
import com.altimetrik.poc.repository.FetchProductsRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.sql.SQLException;
import java.util.List;


@RestController
@RequestMapping("/fetchData")
public class FetchProductDataController {
    @Autowired
    FetchProductsRepository fetchProductsRepository;

    @GetMapping("/getAllProducts")
    @CrossOrigin(origins="http://localhost:3000/")
    public ResponseEntity<List<ProductDetails>> getAllProducts() throws SQLException, IOException {
        List<ProductDetails> products = fetchProductsRepository.findAll();
        System.out.println(products);
        return ResponseEntity.ok(products);


    }
}
