package com.altimetrik.poc.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.util.ArrayList;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Entity
public class Customer {
    @Id
    @GeneratedValue
    private Integer id;
    private Integer userId;
    private String firstName;
    private String lastName;
    private String emailId;

    @OneToMany(
            mappedBy = "customer",
            cascade = CascadeType.ALL
    )
    private List<OrderDetails> orderDetails = new ArrayList<OrderDetails>();

    @OneToOne
    @JoinColumn(name = "customer_valet_details_id")
    private CustomerValetDetails customerValetDetails;

    public Customer(Integer userId, String firstName, String lastName, String emailId) {
        this.userId = userId;
        this.firstName = firstName;
        this.lastName = lastName;
        this.emailId = emailId;
    }
}
