package com.altimetrik.poc.controller;
import com.altimetrik.poc.dto.Customer;
import com.altimetrik.poc.dto.OrderDetails;
import com.altimetrik.poc.services.ShoppingCartServices;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;

import java.util.stream.Collectors;
import java.util.stream.Stream;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.*;

@SpringBootTest
class ShoppingCartControllerTest {
	@MockBean
	private ShoppingCartServices shoppingCartServices;

	@Autowired
	private ShoppingCartController shoppingCartController;

	@Test
	public void getProducts(){

		when(shoppingCartServices.getProducts()).thenReturn(Stream.of(
				new OrderDetails(300,3761,0,0,42,342,new Integer[2],new Customer())).collect(Collectors.toList()));
		assertEquals("200 OK",shoppingCartController.getProducts().getStatusCode().toString());


	}

	@Test
	public void addProducts(){
		OrderDetails pd = new OrderDetails(300,3721,4356,6456,6565,454, new Integer[43], new Customer());
		shoppingCartController.addProducts(pd);
		verify(shoppingCartServices,times(1)).addProducts(pd);
	}

}
