package com.altimetrik.poc.services;
import com.altimetrik.poc.dto.Customer;
import com.altimetrik.poc.dto.OrderDetails;
import com.altimetrik.poc.dto.ProductDetails;
import com.altimetrik.poc.repository.ShoppingCartRepository;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.boot.test.mock.mockito.MockBean;

import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

import static org.junit.jupiter.api.Assertions.assertEquals;
import static org.mockito.Mockito.*;

@SpringBootTest
public class ShoppingCartServicesTest {

    @MockBean
    ShoppingCartRepository shoppingCartRepository;

    @Autowired
    ShoppingCartServices shoppingCartServices;

    @MockBean
    List<ProductDetails> lpd;

    @Test
    public void getProducts(){


            when(shoppingCartRepository.findAll()).thenReturn(Stream.of(
                    new OrderDetails(300,3761,0,0,42,342,new Integer[2],new Customer())).collect(Collectors.toList()));
            assertEquals(1,shoppingCartServices.getProducts().size());



    }
    @Test
    public void addProducts(){


        OrderDetails pd = new OrderDetails(300,3721,4356,6456,6565,454, new Integer[43], new Customer());
        shoppingCartServices.addProducts(pd);
        verify(shoppingCartRepository,times(1)).save(pd);



    }

}
